Last Comment Bug 737080 - Some Certificates Advanced Option windows are fixed to 600x400 in size.
: Some Certificates Advanced Option windows are fixed to 600x400 in size.
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: 10 Branch
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Magnus Melin
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 10:16 PDT by Edoardo Tirtarahardja
Modified: 2012-04-03 12:21 PDT (History)
3 users (show)
mkmelin+mozilla: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (3.37 KB, patch)
2012-03-24 13:16 PDT, Magnus Melin
standard8: review+
Details | Diff | Splinter Review

Description Edoardo Tirtarahardja 2012-03-19 10:16:01 PDT
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:10.0.2) Gecko/20100101 Firefox/10.0.2
Build ID: 20120215223356

Steps to reproduce:

1.  Open 'Tools\Options'.
2.  In 'Certificates' tab open either 'View Certificates', 'Revocation Lists', or 'Security Devices'.



Actual results:

Those Certificates Advanced Option windows are fixed in size to 600x400. This is due to in Thunderbird, the file 'omni.ja\chrome\messenger\content\messenger\preferences\advanced.js', the corresponding open function the initial window size are hard coded instead of using the corresponding persisted screenX & screenY data from localstore.rdf.

Firefox does not hard code these, but Thunderbird does.
--------
showCertificates: function ()
  {
    document.documentElement.openWindow("mozilla:certmanager", "chrome://pippki/content/certManager.xul",
                                        "width=600,height=400", null);
  },

  showCRLs: function ()
  {
    document.documentElement.openWindow("mozilla:crlmanager", "chrome://pippki/content/crlManager.xul",
                                        "width=600,height=400", null);
  },

  showOCSP: function ()
  {
    document.documentElement.openSubDialog("chrome://mozapps/content/preferences/ocsp.xul",
                                           "", null);
  },

  showSecurityDevices: function ()
  {
    document.documentElement.openWindow("mozilla:devicemanager", "chrome://pippki/content/device_manager.xul",
                                        "width=600,height=400", null);
  } 
------


Expected results:

Functions showCertificates(), showCRLs(), and showSecurityDevices(), should not hard code the initial window size when they call openWindow().
Comment 1 Magnus Melin 2012-03-24 13:16:27 PDT
Created attachment 609035 [details] [diff] [review]
proposed fix
Comment 2 Mark Banner (:standard8) 2012-03-29 03:28:04 PDT
Comment on attachment 609035 [details] [diff] [review]
proposed fix

Thanks Edoardo, Magnus, I'd been occasionally wondering why the show certificates dialog was the wrong size...
Comment 3 Magnus Melin 2012-04-03 12:21:48 PDT
http://hg.mozilla.org/comm-central/rev/5bd67e621477 ->FIXED

Note You need to log in before you can comment on or make changes to this bug.